<?php
class Profesiones extends Conectar {

public function get_profesiones() {
        $conectar = parent::conexion();
        parent::set_names();

        $sql = "SELECT id_prof, nombre_prof FROM tm_profesion WHERE estado_prof = 1";
        $stmt = $conectar->prepare($sql);
        $stmt->execute();

        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }
public function delete_profesiones($id_prof) {
        $conectar = parent::conexion();
        parent::set_names();

        $sql = "UPDATE tm_profesion SET estado_prof = 0 WHERE id_prof = ?";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$id_prof]);
    }

public function get_profesiones_x_id($id_prof) {
        $conectar = parent::conexion();
        parent::set_names();

        $sql = "SELECT * FROM tm_profesion WHERE id_prof = ?";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$id_prof]);
        return $stmt->fetch(PDO::FETCH_ASSOC);
    }



public function insert_or_update_profesiones($id_prof, $nombre_prof) {
        $conectar = parent::conexion();
        parent::set_names();

        if (empty($id_prof)) {
            // Insertar nueva profesión
            $sql = "INSERT INTO tm_profesion (nombre_prof) VALUES (?)";
            $stmt = $conectar->prepare($sql);
            $stmt->execute([$nombre_prof]);
        } else {
            // Actualizar profesión existente
            $sql = "UPDATE tm_profesion SET nombre_prof=? WHERE id_prof=?";
            $stmt = $conectar->prepare($sql);
            $stmt->execute([$nombre_prof, $id_prof]);
        }
    }

}
?>
